Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 397765 - net-voip/telepathy-salut-0.6.0 compile failes
Summary: net-voip/telepathy-salut-0.6.0 compile failes
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Unspecified (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Gilles Dartiguelongue
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: glib-2.32
  Show dependency tree
 
Reported: 2012-01-05 15:05 UTC by Mathias
Modified: 2012-04-29 15:29 UTC (History)
2 users (show)

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Mathias 2012-01-05 15:05:48 UTC
In file included from test-resolver.h:25:0,
                 from wocky-connector-test.c:23:
/usr/include/glib-2.0/glib/gtypes.h:28:2: Fehler: #error "Only <glib.h> can be included directly."

This is resolved in version 0.7.0 but it is not included in the portage tree yet.
Comment 1 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-01-05 23:53:50 UTC
Fixed, thanks for reporting.

>  05 Jan 2012; Alexandre Rostovtsev <tetromino@gentoo.org>
>  telepathy-salut-0.6.0.ebuild,
>  +files/telepathy-salut-0.6.0-glib-gtypes.h.patch:
>  Fix building tests with >=glib-2.31 (bug #397765, thanks to Mathias for
>  reporting).
Comment 2 Mart Raudsepp gentoo-dev 2012-01-06 07:57:13 UTC
Should we really be accepting the fact of glib enforcing single includes now with development 2.31 version and eventually stable 2.32+ series? I consider this a API break. You can probably guess that this is just the tip of the iceberg here with failures in tests compared to the dozens and dozens of less maintained glib using packages we have in the tree.
Comment 3 Alexandre Rostovtsev (RETIRED) gentoo-dev 2012-01-06 20:28:30 UTC
(In reply to comment #2)
> Should we really be accepting the fact of glib enforcing single includes now
> with development 2.31 version and eventually stable 2.32+ series? I consider
> this a API break. You can probably guess that this is just the tip of the
> iceberg here with failures in tests compared to the dozens and dozens of less
> maintained glib using packages we have in the tree.

Single includes have been deprecated since at least glib-2.18; I really hope that there aren't dozens of packages still doing it. Perhaps we may want to check using tinderbox when 2.32.0 is released.